Firefox升级后出错

上网、浏览、聊天、下载等
回复
aaronfromchina
帖子: 79
注册时间: 2006-03-02 23:16
来自: 深圳
送出感谢: 0
接收感谢: 0
联系:

Firefox升级后出错

#1

帖子 aaronfromchina » 2007-12-06 16:11

前两天Firefox升级了。是系统自动提示升级的。现在,开许多网站以及论坛会自动关闭。如:www.sina.com.cn, forum.ubuntu.org.cn

做过以下尝试,没能解决。

尝试过firefox -safe-mode启动,Disable,Reset了许多东西;

尝试过把~目录下的.mozilla删除;

删除了所有cookies,cache文件。

以下是出错提示,请大家帮我看看,谢谢!

代码: 全选

firefox -safe-mode
xEmbed supported in this Mozilla version
Gtk2+ supported in this Mozilla version
NewStream: The full URL is http://d1.sina.com.cn/200711/28/116129_a380_home_lbdt.swf
Closed 42files.
Starting process: /usr/bin/gtk-gnash -v -x 67111275 -j 468 -k 95 -u http://d1.sina.com.cn/200711/28/116129_a380_home_lbdt.swf -U http://www.sina.com.cn/ -P bgcolor=null -P flashvars=adlink= -P height=95 -P name=3138_swf -P pluginspage=http://www.macromedia.com/go/getflashplayer -P quality=High -P src=http://d1.sina.com.cn/200711/28/116129_a380_home_lbdt.swf -P type=application/x-shockwave-flash -P width=468 -P wmode=opaque - 
Forked sucessfully, child process PID is 6843
6843] 16:13:24: Verbose output turned on
6843] 16:13:24: Setting width to 468
6843] 16:13:24: Setting height to 95
6843] 16:13:24: Setting root URL to http://d1.sina.com.cn/200711/28/116129_a380_home_lbdt.swf
6843] 16:13:24: Setting base URL to http://www.sina.com.cn/
6843] 16:13:24: No rendering flags specified, using rcfile
6843] 16:13:24: Your X server expects RGB24 pixmap data for standard mode.
6843] 16:13:24: Created XEmbedded window
6843] 16:13:24: framebuffer pixel format is RGB24
6843] 16:13:24: Base url set to: http://www.sina.com.cn/
6843] 16:13:24: GTK-AGG: 150000 bytes offscreen buffer allocated

6843] 16:13:24: initialized AGG buffer <0xb6bef008>, 150000 bytes, 468x95, rowsize is 1404 bytes

(<unknown>:6843): Gdk-WARNING **: GdkWindow 0x4200022 unexpectedly destroyed

(<unknown>:6843): Gdk-WARNING **: GdkWindow 0x4200003 unexpectedly destroyed
The program '<unknown>' received an X Window System error.
This probably reflects a bug in the program.
The error was 'BadWindow (invalid Window parameter)'.
  (Details: serial 185 error_code 3 request_code 18 minor_code 0)
  (Note to programmers: normally, X errors are reported asynchronously;
   that is, you will receive the error a while after causing it.
   To debug your program, run it with the --sync command line
   option to change this behavior. You can then get a meaningful
   backtrace from your debugger if you break on the gdk_x_error() function.)
Floating point exception (core dumped)
alpha.beta
帖子: 5
注册时间: 2007-11-19 14:07
送出感谢: 0
接收感谢: 0

#2

帖子 alpha.beta » 2007-12-06 20:36

同遇到...怎么办
lee-suncell
帖子: 7
注册时间: 2007-05-25 18:34
送出感谢: 0
接收感谢: 0

#3

帖子 lee-suncell » 2007-12-07 12:28

me too!
但可能不是firefox的问题,因为我换了另一个浏览器也是这样。
有的网站没问题,但是个别网站一浏览就关闭。
而且试图更改浏览器的设置也自动关闭。
hotloo
帖子: 38
注册时间: 2007-10-18 18:54
来自: NANJING UNIVERSITY
送出感谢: 0
接收感谢: 0
联系:

reply

#4

帖子 hotloo » 2007-12-07 13:19

我的也是这样的~~~~~
重新安装也不行~~~~
而且是只有firefox2.0.0.11不行,我用3.0preview版就没事~~~
头像
u194252
帖子: 402
注册时间: 2007-08-04 11:06
送出感谢: 0
接收感谢: 0

#5

帖子 u194252 » 2007-12-08 17:57

亦?看来不止我一个啊?刚升级的2.0.0.11,也是类似的问题!
图片
aaronfromchina
帖子: 79
注册时间: 2006-03-02 23:16
来自: 深圳
送出感谢: 0
接收感谢: 0
联系:

#6

帖子 aaronfromchina » 2007-12-10 8:07

怎么办?.....

怎么办?.....

教训: 级是不能随便升的.
baic
帖子: 166
注册时间: 2006-08-22 23:10
送出感谢: 0
接收感谢: 0

#7

帖子 baic » 2007-12-10 8:15

我的也是自动升级,没问题,没有改源,
可能是设置的源没完全同步
lcczx
帖子: 73
注册时间: 2007-10-21 13:38
送出感谢: 0
接收感谢: 0
联系:

#8

帖子 lcczx » 2007-12-10 12:29

遇到了同样 的问题了,郁闷~~~
aaronfromchina
帖子: 79
注册时间: 2006-03-02 23:16
来自: 深圳
送出感谢: 0
接收感谢: 0
联系:

#9

帖子 aaronfromchina » 2007-12-10 20:49

baic 写了:我的也是自动升级,没问题,没有改源,
可能是设置的源没完全同步
我也没有改源,直接升级的,出现了上述问题。
头像
tiancaiamao
帖子: 149
注册时间: 2007-11-06 22:58
来自: 武汉
送出感谢: 0
接收感谢: 0
联系:

#10

帖子 tiancaiamao » 2007-12-10 22:08

源中的文件有问题,以后不要自动瞎升级 了~~~我就是升级害的重装了.......
解决方法去看
http://forum.ubuntu.com.cn/viewtopic.ph ... sc&start=0
强制降级libcairo2
头像
u194252
帖子: 402
注册时间: 2007-08-04 11:06
送出感谢: 0
接收感谢: 0

#11

帖子 u194252 » 2007-12-11 12:38

害怕升级了,今天回去降下去试试看!感谢ls的
图片
jupiter
帖子: 159
注册时间: 2006-04-11 22:23
送出感谢: 0
接收感谢: 0

#12

帖子 jupiter » 2007-12-11 22:24

要升就继续升吧。
干脆用hardy的源libcairo2_1.4.10-1ubuntu6_i386.deb
正预备替换 libc6 2.6.1-1ubuntu10 (使用 .../libc6_2.7-4ubuntu1_i386.deb)
正预备替换 libc6-i686 2.6.1-1ubuntu10 (使用 .../libc6-i686_2.7-4ubuntu1_i386.deb)
firefox的问题总算解决了,可系统成了混合系统....
aaronfromchina
帖子: 79
注册时间: 2006-03-02 23:16
来自: 深圳
送出感谢: 0
接收感谢: 0
联系:

#13

帖子 aaronfromchina » 2007-12-13 8:25

今天又自动更新了一下。

好象有libcairo2的更新。

现在好了。
回复

回到 “因特网相关软件”